Bug 41335 - Installer hangs on 440LX with IDE
Installer hangs on 440LX with IDE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-18 22:43 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 08:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-18 22:43:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (X11; U; Linux 2.2.12-20 i686)

Description of problem:
While installing, after selecting install mode (upgrade), the  kernel
freezes such that it is impossible to  change virtual consoles.  If  I
change
virtual consoles immediately  after choosing "upgrade""  (before the
freeze) then VC3 shows in the last  3 lines:
* going to insmod ext 3.o (path = null)
* looking for USB mouse
* no IDE floppy devices found

The last lines of VC4 are:
<6> raid 5: measuring checksumming speed
   (3 lines)
<4> p5_mmx : 633.200 MB/sec
<4> raid 5 : using functions p5_mmx (633.200 MB/sec)
<6> raid5 personality registered as nr 4

The installer was invoked with
  text nofb ide=nodma
  text
  text ide=nodma
and each time hung at the same point

lspci returns this:
[root@malleus /root]# lspci
00:00.0 Host bridge: Intel Corporation 440LX - 82443LX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corporation 440LX - 82443LX AGP bridge (rev 03)
00:04.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:04.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:04.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:04.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
00:0a.0 Ethernet controller: Advanced Micro Devices 79c970 [PCnet LANCE]
(rev 25)
00:0b.0 VGA compatible controller: S3 Inc. Trio64V2/DX or /GX (rev 16)
[root@malleus /root]# 

What  other information can I give you?
(If you want any technically sophisticated answers, contact Michael K.
Johnson -- johnsonm@redhat.com)


How reproducible:
Always

Steps to Reproduce:
1. see above
2.
3.
	

Actual Results:  see above

Additional info:
Comment 1 Need Real Name 2001-05-18 22:51:04 EDT
Adding mem=31M to the  boot command string does not alter  this.
Comment 2 Arjan van de Ven 2001-05-19 04:24:04 EDT
Could you try "ide=nodma" as option on the commandline ?
Comment 3 Michael K. Johnson 2001-05-19 14:09:08 EDT
This is probably a system on which ide=nodma does not work (we
have had one such report before).

A network or hard drive install may be required to work around
this problem with Red Hat Linux 7.1.  Our current source tree
has this CDROM drive blacklisted for DMA access, so in future
releases this should not be a problem.

Note You need to log in before you can comment on or make changes to this bug.